@import "../global.css";

div#root {
  --primary: #00487c;
  --primary-text: #00487c;
  --primary-svg: #00487c;
  --secondary: #F36F35;
  --accordion-fill-light-theme: #F36F35;
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 18.75rem;
}

/* Align Center - Tall */
.fwm-column-thirds .fwm-nestable-flex {
  align-items: center;
}

/* Align Center - Wide */
.fwm-column-halves .fwm-nestable-flex {
  align-items: center;
}

/* Primary H2 */
.fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  line-height: 1.2;
  font-size: 1.5rem;
}
.fwm-section-header .fwm-section-header-hgroup::after {
  content: "";
  display: block;
  width: 6.25rem;
  height: 0.25rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  color: var(--primary-text);
}

.fwm-section-header.fwm-text-align-center .fwm-section-header-hgroup::after {
  margin: 0.75rem auto;
}

@media (min-width: 48rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 1.75rem;
  }
}
@media (min-width: 64rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2rem;
  }
}
/* Primary H3 */
h3.fwm-primary-h3.fwm-primary-h3 {
  font-weight: 500;
}
h3.fwm-primary-h3.fwm-primary-h3::after {
  content: none;
}

.fwm-lightTheme h3.fwm-primary-h3.fwm-primary-h3 {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  h3.fwm-primary-h3.fwm-primary-h3 {
    font-size: 1.25rem;
  }
}
@media (min-width: 64rem) {
  h3.fwm-primary-h3.fwm-primary-h3 {
    font-size: 1.375rem;
  }
}
/* Accordion Headers */
.accordion-container .accordion-item-title,
.mce-accordion summary {
  font-weight: 400;
}

.fwm-lightTheme .accordion-container .accordion-item-title,
.fwm-lightTheme .mce-accordion summary {
  color: var(--primary-text) !important;
}

/* Hero Gradient/Box (no Supporting Text) */
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2:not(:has(strong)) {
  position: relative;
}
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2:not(:has(strong))::after {
  content: "";
  display: block;
  margin: 0.9375rem 0 1rem 0;
  width: 7.5rem;
  height: 0.3125rem;
  background-color: var(--secondary);
}
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-box-align-center .fwm-hero-large-text-container.fwm-hero-no-cta .fwm-hero-large-heading h2:not(:has(strong))::after {
  margin: 0.9375rem auto 1rem;
}

/* Contact Map Header */
.fwm-team-map-title.fwm-section-header-title-text {
  line-height: 1.2;
  font-size: 1.5rem;
}
.fwm-team-map-title.fwm-section-header-title-text::after {
  content: "";
  display: block;
  width: 6.25rem;
  height: 0.25rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-team-map-title.fwm-section-header-title-text {
  color: var(--primary);
}

@media (min-width: 48rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 1.75rem;
  }
}
@media (min-width: 64rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 2rem;
  }
}
/* Custom Photo - Wide */
section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)) .fwm-PhotoComponent-container {
  position: relative;
  align-self: flex-start;
}
section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)) .fwm-PhotoComponent-container picture {
  position: relative;
  z-index: 5;
}
section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)) .fwm-PhotoComponent-container::before {
  content: "";
  background-color: var(--secondary);
  position: absolute;
  height: 100%;
  width: 100%;
  top: calc(55% - 0.125rem);
  transform: translateY(-50%);
  left: calc(-4% + 0.25rem);
  z-index: 1;
}
section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)) .fwm-PhotoComponent-container::after {
  content: "";
  display: block;
  position: absolute;
  top: calc(-4% - 0.25rem);
  right: calc(-4% + 0.25rem);
  height: 100%;
  width: 100%;
  background: var(--primary);
  z-index: 1;
}
section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)).fwm-media-right .fwm-PhotoComponent-container::before {
  left: initial;
  right: calc(-10% + 1.875rem);
}

/* Team Modular */
section[class*=fwm-team-modular-] .fwm-team-member-img-container .fwm-team-member-img {
  overflow: initial;
  position: relative;
  border: 1px solid var(--primary);
}
section[class*=fwm-team-modular-] .fwm-team-member-img-container .fwm-team-member-img::before {
  content: "";
  display: block;
  position: absolute;
  top: -0.625rem;
  left: -0.625rem;
  width: 2.5rem;
  height: 2.5rem;
  border-left: 0.25rem solid var(--secondary);
  border-top: 0.25rem solid var(--secondary);
}
section[class*=fwm-team-modular-] .fwm-team-member-img-container .fwm-team-member-img::after {
  content: "";
  display: block;
  position: absolute;
  bottom: -0.625rem;
  right: -0.625rem;
  width: 2.5rem;
  height: 2.5rem;
  border-right: 0.25rem solid var(--secondary);
  border-bottom: 4px solid var(--secondary);
}

/* Team Modals */
.fwm-team-member-modal-bio-text h2 {
  margin-bottom: 0.5rem;
  color: var(--primary-text);
  font-weight: 400;
}

div#root .fwm-nestable-46fb35d9-1cf8-46ed-97d7-9b14e8c07bc6 hgroup::after, div#root .fwm-nestable-46fb35d9-1cf8-46ed-97d7-9b14e8c07bc6 hgroup::before,
div#root .fwm-nestable-d0a6215d-1129-4b32-b881-e1841acf1907 hgroup::after,
div#root .fwm-nestable-d0a6215d-1129-4b32-b881-e1841acf1907 hgroup::before {
  display: none;
}
div#root .fwm-nestable-46fb35d9-1cf8-46ed-97d7-9b14e8c07bc6 hgroup h2,
div#root .fwm-nestable-d0a6215d-1129-4b32-b881-e1841acf1907 hgroup h2 {
  color: inherit;
  font-size: 2rem;
  font-weight: inherit;
  letter-spacing: inherit;
  text-transform: inherit;
  border: none;
  padding-bottom: 0.5rem;
}
div#root .fwm-nestable-46fb35d9-1cf8-46ed-97d7-9b14e8c07bc6 picture,
div#root .fwm-nestable-d0a6215d-1129-4b32-b881-e1841acf1907 picture {
  box-shadow: none;
}
div#root .fwm-nestable-46fb35d9-1cf8-46ed-97d7-9b14e8c07bc6 .fwm-team-selection-title,
div#root .fwm-nestable-d0a6215d-1129-4b32-b881-e1841acf1907 .fwm-team-selection-title {
  border-color: var(--secondary);
}